PolyphoneComposingDialog

gui

## Class PolyphoneComposingDialog

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Dialog
        - - javax.swing.JDialog
          - - gui.PolyphoneComposingDialog

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

      public class PolyphoneComposingDialog
      extends javax.swing.JDialog

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JDialog

      `javax.swing.JDialog.AccessibleJDialog`

    - ### Nested classes/interfaces inherited from class java.awt.Dialog

      `java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javax.swing.JButton` | `btnAddPart`
    `private javax.swing.JButton` | `btnCancel`
    `private javax.swing.JButton` | `btnChange`
    `private javax.swing.JButton` | `btnChangeVolume`
    `private javax.swing.JButton` | `btnCompose`
    `private javax.swing.JButton` | `btnPlay`
    `private javax.swing.JButton` | `btnReset`
    `private javax.swing.JButton` | `btnSave`
    `private javax.swing.JButton` | `btnStop`
    `private java.util.HashMap<java.lang.String,java.lang.Integer>` | `categories`
    `private javax.swing.JCheckBox` | `chkCrossover`
    `private javax.swing.JCheckBox` | `chkMutation`
    `private javax.swing.JCheckBox` | `chkNPointCrossover`
    `private javax.swing.JComboBox` | `cmbCategory`
    `private javax.swing.JComboBox` | `cmbInstrument`
    `private javax.swing.JComboBox` | `cmbInstrumentGroup`
    `private javax.swing.JComboBox` | `cmbKey`
    `private ComposingStatusDialog` | `csd`
    `private javax.swing.JLabel` | `jLabel1`
    `private javax.swing.JLabel` | `jLabel2`
    `private javax.swing.JLabel` | `jLabel3`
    `private javax.swing.JLabel` | `jLabel4`
    `private javax.swing.JLabel` | `jLabel5`
    `private javax.swing.JLabel` | `jLabel6`
    `private javax.swing.JLabel` | `jLabel7`
    `private javax.swing.JLabel` | `jLabel8`
    `private javax.swing.JLabel` | `jLabel9`
    `private javax.swing.JPanel` | `jPanel1`
    `private javax.swing.JScrollPane` | `jScrollPane1`
    `private javax.swing.JLabel` | `lblFitness`
    `private javax.swing.JLabel` | `lblInstrumentCount`
    `private javax.swing.JLabel` | `lblLength`
    `private javax.swing.JLabel` | `lblTempo`
    `private javax.swing.JLabel` | `lblTempo1`
    `private javax.swing.JLabel` | `lblVolume`
    `private PolyphonGeneticComposer` | `pgc`
    `private javax.swing.JPanel` | `pnlInstruments`
    `private java.lang.String` | `pw`
    `private jm.music.data.Score` | `score`
    `private javax.swing.JSlider` | `sldFitness`
    `private javax.swing.JSlider` | `sldInstrumentCount`
    `private javax.swing.JSlider` | `sldLength`
    `private javax.swing.JSlider` | `sldVolume`
    `private javax.swing.JSpinner` | `spPopulation`
    `private javax.swing.JSpinner` | `spTempo`
    `private javax.swing.JTable` | `tabInstruments`
    `private java.lang.String` | `url`
    `private java.lang.String` | `user`

    - ### Fields inherited from class javax.swing.JDialog

      `accessibleContext, rootPane, rootPaneCheckingEnabled`

    - ### Fields inherited from class java.awt.Dialog

      `DEFAULT_MODALITY_TYPE`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolyphoneComposingDialog(java.awt.Frame parent, boolean modal, java.lang.String user, java.lang.String pw, java.lang.String url, java.lang.String path)` Creates new form PolyphoneComposingDialog

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `btnAddPartActionPerformed(java.awt.event.ActionEvent evt)`
    `private void` | `btnCancelActionPerformed(java.awt.event.ActionEvent evt)` schliesst den Dialog
    `private void` | `btnChangeActionPerformed(java.awt.event.ActionEvent evt)` aendert das zu verwendente Instrument
    `private void` | `btnChangeVolumeActionPerformed(java.awt.event.ActionEvent evt)`
    `private void` | `btnComposeActionPerformed(java.awt.event.ActionEvent evt)`
    `private void` | `btnPlayActionPerformed(java.awt.event.ActionEvent evt)` spielt die Komposition ab bzw. stoppt diese
    `private void` | `btnResetActionPerformed(java.awt.event.ActionEvent evt)` stellt die urspruenglichen Instrumentenzuordnung wieder her
    `private void` | `btnSaveActionPerformed(java.awt.event.ActionEvent evt)` speichert das MIDI-File
    `private void` | `btnStopActionPerformed(java.awt.event.ActionEvent evt)` stoppt das Abspielen einer MIDI-Datei
    `private void` | `cmbCategoryActionPerformed(java.awt.event.ActionEvent evt)` aktualisiert die Instrumente der ausgewaehlten Kategorie, nachdem die Combobox aktualisiert wurde
    `private void` | `cmbInstrumentGroupActionPerformed(java.awt.event.ActionEvent evt)` aktualisiert den Inhalt der Combobox mit den Instrumenten
    `private void` | `cmbKeyActionPerformed(java.awt.event.ActionEvent evt)`
    `private void` | `Compose()` erstellt eine neue Komposition
    `private void` | `fillInstrumentsCombobox(java.util.LinkedHashMap<java.lang.String,java.lang.Integer> lhm)` befuellt die Combobox mit den Instrumenten der Hashmap
    `private void` | `fillInstrumentTable()` befuellt die Instrumente der ausgewaehlten Kategorie
    `private void` | `fillKeys()` befuellt die Combobox mit den Tonarten sortiert nach Auftreten innerhalb der Kategorie
    `private void` | `formWindowClosing(java.awt.event.WindowEvent evt)`
    `private int` | `getInstrumentForGroup(java.lang.String group)` gibt ein Instrument der Instrumentengruppe zurueck, welches in dem Genre verwendet wurde
    `private int` | `getInstrumentIDForName(java.lang.String instrument)` liefert zum uebergebenen Instrument(Instrumentengruppe) die passende ID
    `private void` | `initComponents()` This method is called from within the constructor to initialize the form.
    `static void` | `main(java.lang.String[] args)`
    `private void` | `sldFitnessStateChanged(javax.swing.event.ChangeEvent evt)` aktualisiert das Label des Sliders mit dem aktuellen Wert
    `private void` | `sldInstrumentCountStateChanged(javax.swing.event.ChangeEvent evt)` aktualisiert das Label des Sliders mit dem aktuellen Wert
    `private void` | `sldLengthStateChanged(javax.swing.event.ChangeEvent evt)` aktualisiert das Label des Sliders mit dem aktuellen Wert
    `private void` | `sldVolumeStateChanged(javax.swing.event.ChangeEvent evt)`
    `private void` | `spPopulationStateChanged(javax.swing.event.ChangeEvent evt)` beschraenkt den Wert zwischen 2 und 20
    `private void` | `spTempoStateChanged(javax.swing.event.ChangeEvent evt)` beschraenkt den Wert zwischen 50 und 400
    `private void` | `tabInstrumentsMouseClicked(java.awt.event.MouseEvent evt)` aendert die Inhalte der Comboboxen der Instrumente entsprechend der ausgewaehlten Zeile in der Tabelle
    `private void` | `updateInstrumentCombobox(java.lang.String instrumentgroup)` befuellt die Combobox mit den Instrumenten der Instrumentengruppe
    `private void` | `updateInstrumentTable()` aktualisiert die Instrumente der ausgewaehlten Kategorie

    - ### Methods inherited from class javax.swing.JDialog

      `addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

    - ### Methods inherited from class java.awt.Dialog

      `addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### user

          private java.lang.String user

    - #### pw

          private java.lang.String pw

    - #### url

          private java.lang.String url

    - #### categories

          private java.util.HashMap<java.lang.String,java.lang.Integer> categories

    - #### score

          private jm.music.data.Score score

    - #### pgc

          private PolyphonGeneticComposer pgc

    - #### csd

          private ComposingStatusDialog csd

    - #### btnAddPart

          private javax.swing.JButton btnAddPart

    - #### btnCancel

          private javax.swing.JButton btnCancel

    - #### btnChange

          private javax.swing.JButton btnChange

    - #### btnChangeVolume

          private javax.swing.JButton btnChangeVolume

    - #### btnCompose

          private javax.swing.JButton btnCompose

    - #### btnPlay

          private javax.swing.JButton btnPlay

    - #### btnReset

          private javax.swing.JButton btnReset

    - #### btnSave

          private javax.swing.JButton btnSave

    - #### btnStop

          private javax.swing.JButton btnStop

    - #### chkCrossover

          private javax.swing.JCheckBox chkCrossover

    - #### chkMutation

          private javax.swing.JCheckBox chkMutation

    - #### chkNPointCrossover

          private javax.swing.JCheckBox chkNPointCrossover

    - #### cmbCategory

          private javax.swing.JComboBox cmbCategory

    - #### cmbInstrument

          private javax.swing.JComboBox cmbInstrument

    - #### cmbInstrumentGroup

          private javax.swing.JComboBox cmbInstrumentGroup

    - #### cmbKey

          private javax.swing.JComboBox cmbKey

    - #### jLabel1

          private javax.swing.JLabel jLabel1

    - #### jLabel2

          private javax.swing.JLabel jLabel2

    - #### jLabel3

          private javax.swing.JLabel jLabel3

    - #### jLabel4

          private javax.swing.JLabel jLabel4

    - #### jLabel5

          private javax.swing.JLabel jLabel5

    - #### jLabel6

          private javax.swing.JLabel jLabel6

    - #### jLabel7

          private javax.swing.JLabel jLabel7

    - #### jLabel8

          private javax.swing.JLabel jLabel8

    - #### jLabel9

          private javax.swing.JLabel jLabel9

    - #### jPanel1

          private javax.swing.JPanel jPanel1

    - #### jScrollPane1

          private javax.swing.JScrollPane jScrollPane1

    - #### lblFitness

          private javax.swing.JLabel lblFitness

    - #### lblInstrumentCount

          private javax.swing.JLabel lblInstrumentCount

    - #### lblLength

          private javax.swing.JLabel lblLength

    - #### lblTempo

          private javax.swing.JLabel lblTempo

    - #### lblTempo1

          private javax.swing.JLabel lblTempo1

    - #### lblVolume

          private javax.swing.JLabel lblVolume

    - #### pnlInstruments

          private javax.swing.JPanel pnlInstruments

    - #### sldFitness

          private javax.swing.JSlider sldFitness

    - #### sldInstrumentCount

          private javax.swing.JSlider sldInstrumentCount

    - #### sldLength

          private javax.swing.JSlider sldLength

    - #### sldVolume

          private javax.swing.JSlider sldVolume

    - #### spPopulation

          private javax.swing.JSpinner spPopulation

    - #### spTempo

          private javax.swing.JSpinner spTempo

    - #### tabInstruments

          private javax.swing.JTable tabInstruments

  - ### Constructor Detail

    - #### PolyphoneComposingDialog

          public PolyphoneComposingDialog(java.awt.Frame parent,
                                  boolean modal,
                                  java.lang.String user,
                                  java.lang.String pw,
                                  java.lang.String url,
                                  java.lang.String path)

      Creates new form PolyphoneComposingDialog

  - ### Method Detail

    - #### fillInstrumentTable

          private void fillInstrumentTable()

      befuellt die Instrumente der ausgewaehlten Kategorie

    - #### fillKeys

          private void fillKeys()

      befuellt die Combobox mit den Tonarten sortiert nach Auftreten innerhalb der Kategorie

    - #### updateInstrumentTable

          private void updateInstrumentTable()

      aktualisiert die Instrumente der ausgewaehlten Kategorie

    - #### updateInstrumentCombobox

          private void updateInstrumentCombobox(java.lang.String instrumentgroup)

      befuellt die Combobox mit den Instrumenten der Instrumentengruppe
      Parameters:
        `instrumentgroup` -

    - #### fillInstrumentsCombobox

          private void fillInstrumentsCombobox(java.util.LinkedHashMap<java.lang.String,java.lang.Integer> lhm)

      befuellt die Combobox mit den Instrumenten der Hashmap
      Parameters:
        `lhm` - LinkedHashMap mit den Instrumenten der Gruppe

    - #### initComponents

          private void initComponents()

      This method is called from within the constructor to initialize the form. WARNING: Do NOT modify this code. The content of this method is always regenerated by the Form Editor.

    - #### cmbCategoryActionPerformed

          private void cmbCategoryActionPerformed(java.awt.event.ActionEvent evt)

      aktualisiert die Instrumente der ausgewaehlten Kategorie, nachdem die Combobox aktualisiert wurde
      Parameters:
        `evt` -

    - #### btnCancelActionPerformed

          private void btnCancelActionPerformed(java.awt.event.ActionEvent evt)

      schliesst den Dialog
      Parameters:
        `evt` -

    - #### spTempoStateChanged

          private void spTempoStateChanged(javax.swing.event.ChangeEvent evt)

      beschraenkt den Wert zwischen 50 und 400
      Parameters:
        `evt` -

    - #### sldLengthStateChanged

          private void sldLengthStateChanged(javax.swing.event.ChangeEvent evt)

      aktualisiert das Label des Sliders mit dem aktuellen Wert
      Parameters:
        `evt` -

    - #### sldInstrumentCountStateChanged

          private void sldInstrumentCountStateChanged(javax.swing.event.ChangeEvent evt)

      aktualisiert das Label des Sliders mit dem aktuellen Wert
      Parameters:
        `evt` -

    - #### btnComposeActionPerformed

          private void btnComposeActionPerformed(java.awt.event.ActionEvent evt)

      Parameters:
        `evt` -

    - #### Compose

          private void Compose()

      erstellt eine neue Komposition

    - #### getInstrumentIDForName

          private int getInstrumentIDForName(java.lang.String instrument)

      liefert zum uebergebenen Instrument(Instrumentengruppe) die passende ID
      Parameters:
        `instrument` - Bezeichnung des Instruments/der Instrumentengruppe
      Returns:
        ID des Instruments, 200 for Percussion and -1 if nothing found

    - #### getInstrumentForGroup

          private int getInstrumentForGroup(java.lang.String group)

      gibt ein Instrument der Instrumentengruppe zurueck, welches in dem Genre verwendet wurde
      Parameters:
        `group` - Instrumentengruppe (MIDI)
      Returns:
        Instrument der Gruppe des Genres

    - #### cmbInstrumentGroupActionPerformed

          private void cmbInstrumentGroupActionPerformed(java.awt.event.ActionEvent evt)

      aktualisiert den Inhalt der Combobox mit den Instrumenten
      Parameters:
        `evt` -

    - #### tabInstrumentsMouseClicked

          private void tabInstrumentsMouseClicked(java.awt.event.MouseEvent evt)

      aendert die Inhalte der Comboboxen der Instrumente entsprechend der ausgewaehlten Zeile in der Tabelle
      Parameters:
        `evt` -

    - #### btnChangeActionPerformed

          private void btnChangeActionPerformed(java.awt.event.ActionEvent evt)

      aendert das zu verwendente Instrument
      Parameters:
        `evt` -

    - #### btnResetActionPerformed

          private void btnResetActionPerformed(java.awt.event.ActionEvent evt)

      stellt die urspruenglichen Instrumentenzuordnung wieder her
      Parameters:
        `evt` -

    - #### cmbKeyActionPerformed

          private void cmbKeyActionPerformed(java.awt.event.ActionEvent evt)

    - #### btnPlayActionPerformed

          private void btnPlayActionPerformed(java.awt.event.ActionEvent evt)

      spielt die Komposition ab bzw. stoppt diese
      Parameters:
        `evt` -

    - #### spPopulationStateChanged

          private void spPopulationStateChanged(javax.swing.event.ChangeEvent evt)

      beschraenkt den Wert zwischen 2 und 20
      Parameters:
        `evt` -

    - #### formWindowClosing

          private void formWindowClosing(java.awt.event.WindowEvent evt)

    - #### btnAddPartActionPerformed

          private void btnAddPartActionPerformed(java.awt.event.ActionEvent evt)

    - #### btnSaveActionPerformed

          private void btnSaveActionPerformed(java.awt.event.ActionEvent evt)

      speichert das MIDI-File
      Parameters:
        `evt` -

    - #### btnStopActionPerformed

          private void btnStopActionPerformed(java.awt.event.ActionEvent evt)

      stoppt das Abspielen einer MIDI-Datei
      Parameters:
        `evt` -

    - #### sldFitnessStateChanged

          private void sldFitnessStateChanged(javax.swing.event.ChangeEvent evt)

      aktualisiert das Label des Sliders mit dem aktuellen Wert
      Parameters:
        `evt` -

    - #### sldVolumeStateChanged

          private void sldVolumeStateChanged(javax.swing.event.ChangeEvent evt)

    - #### btnChangeVolumeActionPerformed

          private void btnChangeVolumeActionPerformed(java.awt.event.ActionEvent evt)

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` - the command line arguments